@echo off
if exist cfg\squash.cfg move cfg\squash.cfg cfg\squash.bak
if exist hi\squash.hi move hi\squash.hi hi\squash.bak
if exist nvram\squash.nv move nvram\squash.nv nvram\squash.bak
if exist diff\squash.dif move diff\squash.dif diff\squash.bak

mame squash -record squash.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\squash.bak move cfg\squash.bak cfg\squash.cfg
if exist hi\squash.bak move hi\squash.bak hi\squash.hi
if exist nvram\squash.bak move nvram\squash.bak nvram\squash.nv
if exist diff\squash.bak move diff\squash.bak diff\squash.dif
